package intrinsic.mx.rpc.wsdl;

public class WSDLService extends Object {

	/** Accessors */
	public Object ports;
	public intrinsic.mx.rpc.wsdl.WSDLPort defaultPort;
	public String name;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WSDLService() {
}

public WSDLService(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void addPort(intrinsic.mx.rpc.wsdl.WSDLPort arg0);
public native intrinsic.mx.rpc.wsdl.WSDLPort getPort(String arg0);

}
